/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.Pool: ImageVector
    get() {
        if (_pool != null) {
            return _pool!!
        }
        _pool = materialIcon(name = "Filled.Pool") {
            materialPath {
                moveTo(22.0f, 21.0f)
                curveToRelative(-1.11f, 0.0f, -1.73f, -0.37f, -2.18f, -0.64f)
                curveToRelative(-0.37f, -0.22f, -0.6f, -0.36f, -1.15f, -0.36f)
                curveToRelative(-0.56f, 0.0f, -0.78f, 0.13f, -1.15f, 0.36f)
                curveToRelative(-0.46f, 0.27f, -1.07f, 0.64f, -2.18f, 0.64f)
                reflectiveCurveToRelative(-1.73f, -0.37f, -2.18f, -0.64f)
                curveToRelative(-0.37f, -0.22f, -0.6f, -0.36f, -1.15f, -0.36f)
                curveToRelative(-0.56f, 0.0f, -0.78f, 0.13f, -1.15f, 0.36f)
                curveToRelative(-0.46f, 0.27f, -1.08f, 0.64f, -2.19f, 0.64f)
                curveToRelative(-1.11f, 0.0f, -1.73f, -0.37f, -2.18f, -0.64f)
                curveToRelative(-0.37f, -0.23f, -0.6f, -0.36f, -1.15f, -0.36f)
                reflectiveCurveToRelative(-0.78f, 0.13f, -1.15f, 0.36f)
                curveToRelative(-0.46f, 0.27f, -1.08f, 0.64f, -2.19f, 0.64f)
                verticalLineToRelative(-2.0f)
                curveToRelative(0.56f, 0.0f, 0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.46f, -0.27f, 1.08f, -0.64f, 2.19f, -0.64f)
                reflectiveCurveToRelative(1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.23f, 0.59f, 0.36f, 1.15f, 0.36f)
                curveToRelative(0.56f, 0.0f, 0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.46f, -0.27f, 1.08f, -0.64f, 2.19f, -0.64f)
                curveToRelative(1.11f, 0.0f, 1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.22f, 0.6f, 0.36f, 1.15f, 0.36f)
                reflectiveCurveToRelative(0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.45f, -0.27f, 1.07f, -0.64f, 2.18f, -0.64f)
                reflectiveCurveToRelative(1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.23f, 0.59f, 0.36f, 1.15f, 0.36f)
                verticalLineToRelative(2.0f)
                close()
                moveTo(22.0f, 16.5f)
                curveToRelative(-1.11f, 0.0f, -1.73f, -0.37f, -2.18f, -0.64f)
                curveToRelative(-0.37f, -0.22f, -0.6f, -0.36f, -1.15f, -0.36f)
                curveToRelative(-0.56f, 0.0f, -0.78f, 0.13f, -1.15f, 0.36f)
                curveToRelative(-0.45f, 0.27f, -1.07f, 0.64f, -2.18f, 0.64f)
                reflectiveCurveToRelative(-1.73f, -0.37f, -2.18f, -0.64f)
                curveToRelative(-0.37f, -0.22f, -0.6f, -0.36f, -1.15f, -0.36f)
                curveToRelative(-0.56f, 0.0f, -0.78f, 0.13f, -1.15f, 0.36f)
                curveToRelative(-0.45f, 0.27f, -1.07f, 0.64f, -2.18f, 0.64f)
                reflectiveCurveToRelative(-1.73f, -0.37f, -2.18f, -0.64f)
                curveToRelative(-0.37f, -0.22f, -0.6f, -0.36f, -1.15f, -0.36f)
                reflectiveCurveToRelative(-0.78f, 0.13f, -1.15f, 0.36f)
                curveToRelative(-0.47f, 0.27f, -1.09f, 0.64f, -2.2f, 0.64f)
                verticalLineToRelative(-2.0f)
                curveToRelative(0.56f, 0.0f, 0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.45f, -0.27f, 1.07f, -0.64f, 2.18f, -0.64f)
                reflectiveCurveToRelative(1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.22f, 0.6f, 0.36f, 1.15f, 0.36f)
                curveToRelative(0.56f, 0.0f, 0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.45f, -0.27f, 1.07f, -0.64f, 2.18f, -0.64f)
                reflectiveCurveToRelative(1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.22f, 0.6f, 0.36f, 1.15f, 0.36f)
                reflectiveCurveToRelative(0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.45f, -0.27f, 1.07f, -0.64f, 2.18f, -0.64f)
                reflectiveCurveToRelative(1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.22f, 0.6f, 0.36f, 1.15f, 0.36f)
                verticalLineToRelative(2.0f)
                close()
                moveTo(8.67f, 12.0f)
                curveToRelative(0.56f, 0.0f, 0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.46f, -0.27f, 1.08f, -0.64f, 2.19f, -0.64f)
                curveToRelative(1.11f, 0.0f, 1.73f, 0.37f, 2.18f, 0.64f)
                curveToRelative(0.37f, 0.22f, 0.6f, 0.36f, 1.15f, 0.36f)
                reflectiveCurveToRelative(0.78f, -0.13f, 1.15f, -0.36f)
                curveToRelative(0.12f, -0.07f, 0.26f, -0.15f, 0.41f, -0.23f)
                lineTo(10.48f, 5.0f)
                curveTo(8.93f, 3.45f, 7.5f, 2.99f, 5.0f, 3.0f)
                verticalLineToRelative(2.5f)
                curveToRelative(1.82f, -0.01f, 2.89f, 0.39f, 4.0f, 1.5f)
                lineToRelative(1.0f, 1.0f)
                lineToRelative(-3.25f, 3.25f)
                curveToRelative(0.31f, 0.12f, 0.56f, 0.27f, 0.77f, 0.39f)
                curveToRelative(0.37f, 0.23f, 0.59f, 0.36f, 1.15f, 0.36f)
                close()
            }
            materialPath {
                moveTo(16.5f, 5.5f)
                moveToRelative(-2.5f, 0.0f)
                arcToRelative(2.5f, 2.5f, 0.0f, true, true, 5.0f, 0.0f)
                arcToRelative(2.5f, 2.5f, 0.0f, true, true, -5.0f, 0.0f)
            }
        }
        return _pool!!
    }

private var _pool: ImageVector? = null
