/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Rounded.DirectionsRailwayFilled: ImageVector
    get() {
        if (_directionsRailwayFilled != null) {
            return _directionsRailwayFilled!!
        }
        _directionsRailwayFilled = materialIcon(name = "Rounded.DirectionsRailwayFilled") {
            materialPath {
                moveTo(12.0f, 2.0f)
                curveTo(8.0f, 2.0f, 4.0f, 2.5f, 4.0f, 6.0f)
                verticalLineToRelative(9.5f)
                curveTo(4.0f, 17.43f, 5.57f, 19.0f, 7.5f, 19.0f)
                lineToRelative(-1.21f, 0.81f)
                curveTo(6.11f, 19.93f, 6.0f, 20.13f, 6.0f, 20.35f)
                verticalLineToRelative(0.0f)
                curveTo(6.0f, 20.71f, 6.29f, 21.0f, 6.65f, 21.0f)
                horizontalLineToRelative(10.7f)
                curveToRelative(0.36f, 0.0f, 0.65f, -0.29f, 0.65f, -0.65f)
                verticalLineToRelative(0.0f)
                curveToRelative(0.0f, -0.22f, -0.11f, -0.42f, -0.29f, -0.54f)
                lineTo(16.5f, 19.0f)
                curveToRelative(1.93f, 0.0f, 3.5f, -1.57f, 3.5f, -3.5f)
                verticalLineTo(6.0f)
                curveTo(20.0f, 2.5f, 16.42f, 2.0f, 12.0f, 2.0f)
                close()
                moveTo(12.0f, 16.0f)
                curveToRelative(-0.83f, 0.0f, -1.5f, -0.67f, -1.5f, -1.5f)
                reflectiveCurveTo(11.17f, 13.0f, 12.0f, 13.0f)
                reflectiveCurveToRelative(1.5f, 0.67f, 1.5f, 1.5f)
                reflectiveCurveTo(12.83f, 16.0f, 12.0f, 16.0f)
                close()
                moveTo(18.0f, 10.0f)
                horizontalLineTo(6.0f)
                verticalLineTo(7.0f)
                horizontalLineToRelative(12.0f)
                verticalLineTo(10.0f)
                close()
            }
        }
        return _directionsRailwayFilled!!
    }

private var _directionsRailwayFilled: ImageVector? = null
