/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Rounded.HdrAutoSelect: ImageVector
    get() {
        if (_hdrAutoSelect != null) {
            return _hdrAutoSelect!!
        }
        _hdrAutoSelect = materialIcon(name = "Rounded.HdrAutoSelect") {
            materialPath {
                moveTo(10.0f, 16.0f)
                horizontalLineTo(7.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, 0.34f, -0.75f, 0.75f)
                verticalLineToRelative(4.5f)
                curveTo(6.5f, 21.66f, 6.84f, 22.0f, 7.25f, 22.0f)
                horizontalLineTo(10.0f)
                curveToRelative(0.83f, 0.0f, 1.5f, -0.67f, 1.5f, -1.5f)
                verticalLineToRelative(-3.0f)
                curveTo(11.5f, 16.67f, 10.83f, 16.0f, 10.0f, 16.0f)
                close()
                moveTo(10.0f, 20.5f)
                horizontalLineTo(8.0f)
                verticalLineToRelative(-3.0f)
                horizontalLineToRelative(2.0f)
                verticalLineTo(20.5f)
                close()
            }
            materialPath {
                moveTo(4.25f, 16.0f)
                curveToRelative(-0.41f, 0.0f, -0.75f, 0.34f, -0.75f, 0.75f)
                verticalLineTo(18.0f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(-1.25f)
                curveTo(1.5f, 16.34f, 1.16f, 16.0f, 0.75f, 16.0f)
                reflectiveCurveTo(0.0f, 16.34f, 0.0f, 16.75f)
                verticalLineToRelative(4.5f)
                curveTo(0.0f, 21.66f, 0.34f, 22.0f, 0.75f, 22.0f)
                reflectiveCurveToRelative(0.75f, -0.34f, 0.75f, -0.75f)
                verticalLineTo(19.5f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(1.75f)
                curveTo(3.5f, 21.66f, 3.84f, 22.0f, 4.25f, 22.0f)
                reflectiveCurveTo(5.0f, 21.66f, 5.0f, 21.25f)
                verticalLineToRelative(-4.5f)
                curveTo(5.0f, 16.34f, 4.66f, 16.0f, 4.25f, 16.0f)
                close()
            }
            materialPath {
                moveTo(23.25f, 18.5f)
                horizontalLineTo(22.0f)
                verticalLineToRelative(-1.25f)
                curveToRelative(0.0f, -0.41f, -0.34f, -0.75f, -0.75f, -0.75f)
                reflectiveCurveToRelative(-0.75f, 0.34f, -0.75f, 0.75f)
                verticalLineToRelative(1.25f)
                horizontalLineToRelative(-1.25f)
                curveToRelative(-0.41f, 0.0f, -0.75f, 0.34f, -0.75f, 0.75f)
                reflectiveCurveTo(18.84f, 20.0f, 19.25f, 20.0f)
                horizontalLineToRelative(1.25f)
                verticalLineToRelative(1.25f)
                curveToRelative(0.0f, 0.41f, 0.34f, 0.75f, 0.75f, 0.75f)
                reflectiveCurveTo(22.0f, 21.66f, 22.0f, 21.25f)
                verticalLineTo(20.0f)
                horizontalLineToRelative(1.25f)
                curveToRelative(0.41f, 0.0f, 0.75f, -0.34f, 0.75f, -0.75f)
                reflectiveCurveTo(23.66f, 18.5f, 23.25f, 18.5f)
                close()
            }
            materialPath {
                moveTo(16.5f, 16.0f)
                horizontalLineToRelative(-2.75f)
                curveTo(13.34f, 16.0f, 13.0f, 16.34f, 13.0f, 16.75f)
                verticalLineToRelative(4.56f)
                curveToRelative(0.0f, 0.38f, 0.31f, 0.69f, 0.69f, 0.69f)
                horizontalLineToRelative(0.11f)
                curveToRelative(0.38f, 0.0f, 0.69f, -0.31f, 0.69f, -0.69f)
                verticalLineTo(20.0f)
                horizontalLineToRelative(1.1f)
                lineToRelative(0.72f, 1.59f)
                curveToRelative(0.11f, 0.25f, 0.36f, 0.41f, 0.63f, 0.41f)
                curveToRelative(0.5f, 0.0f, 0.83f, -0.51f, 0.64f, -0.97f)
                lineTo(17.1f, 19.9f)
                curveToRelative(0.5f, -0.3f, 0.9f, -0.8f, 0.9f, -1.4f)
                verticalLineToRelative(-1.0f)
                curveTo(18.0f, 16.67f, 17.33f, 16.0f, 16.5f, 16.0f)
                close()
                moveTo(16.5f, 18.5f)
                horizontalLineToRelative(-2.0f)
                verticalLineToRelative(-1.0f)
                horizontalLineToRelative(2.0f)
                verticalLineTo(18.5f)
                close()
            }
            materialPath {
                moveTo(11.97f, 5.3f)
                lineToRelative(-1.02f, 2.89f)
                lineToRelative(2.1f, 0.0f)
                lineToRelative(-1.02f, -2.89f)
                close()
            }
            materialPath {
                moveTo(12.0f, 2.0f)
                curveTo(8.69f, 2.0f, 6.0f, 4.69f, 6.0f, 8.0f)
                reflectiveCurveToRelative(2.69f, 6.0f, 6.0f, 6.0f)
                reflectiveCurveToRelative(6.0f, -2.69f, 6.0f, -6.0f)
                reflectiveCurveTo(15.31f, 2.0f, 12.0f, 2.0f)
                close()
                moveTo(14.44f, 11.0f)
                curveToRelative(-0.24f, 0.0f, -0.45f, -0.15f, -0.53f, -0.38f)
                lineToRelative(-0.49f, -1.41f)
                horizontalLineToRelative(-2.83f)
                lineToRelative(-0.5f, 1.41f)
                curveTo(10.01f, 10.85f, 9.8f, 11.0f, 9.56f, 11.0f)
                curveToRelative(-0.39f, 0.0f, -0.67f, -0.39f, -0.53f, -0.76f)
                lineToRelative(2.12f, -5.65f)
                curveTo(11.29f, 4.23f, 11.62f, 4.0f, 12.0f, 4.0f)
                reflectiveCurveToRelative(0.71f, 0.23f, 0.85f, 0.59f)
                lineToRelative(2.12f, 5.65f)
                curveTo(15.11f, 10.61f, 14.84f, 11.0f, 14.44f, 11.0f)
                close()
            }
        }
        return _hdrAutoSelect!!
    }

private var _hdrAutoSelect: ImageVector? = null
