/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.HeadsetMic: ImageVector
    get() {
        if (_headsetMic != null) {
            return _headsetMic!!
        }
        _headsetMic = materialIcon(name = "Sharp.HeadsetMic") {
            materialPath {
                moveTo(11.4f, 1.02f)
                curveTo(6.62f, 1.33f, 3.0f, 5.51f, 3.0f, 10.31f)
                verticalLineTo(20.0f)
                horizontalLineToRelative(6.0f)
                verticalLineToRelative(-8.0f)
                horizontalLineTo(5.0f)
                verticalLineToRelative(-1.71f)
                curveTo(5.0f, 6.45f, 7.96f, 3.11f, 11.79f, 3.0f)
                curveTo(15.76f, 2.89f, 19.0f, 6.06f, 19.0f, 10.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(-4.0f)
                verticalLineToRelative(8.0f)
                horizontalLineToRelative(4.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(-7.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(9.0f)
                verticalLineTo(10.0f)
                curveToRelative(0.0f, -5.17f, -4.36f, -9.32f, -9.6f, -8.98f)
                close()
            }
        }
        return _headsetMic!!
    }

private var _headsetMic: ImageVector? = null
